import type { Call } from './types';
import { Sealer } from '@skyekiwi/crypto';
import { File } from '@skyekiwi/file';
export declare class Queue {
    #private;
    constructor(file: File, sealer: Sealer);
    init(): Promise<void>;
    unlockSealer(key: Uint8Array): void;
    decodeCall(call: string): Call;
    encodeCall(call: Call): string;
    writeCalls(path: string): Promise<void>;
    parseAndPushCall(call: string): void;
    pushCall(call: Call): void;
    getCalls(): Call[];
}
